summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2018-07-16 17:35:11 +0200
committer Willy Sudiarto Raharjo2018-07-16 17:35:11 +0200
commitd7c59182c454391824f2a850ea12e7691c73beae (patch)
tree8b68adcc673bb0c6aacbcee0e70d9ce1d50b61a3
parent34172c1c2b56fdfedff3686633b0fda80402ff86 (diff)
downloadslackbuilds-d7c59182c454391824f2a850ea12e7691c73beae.tar.gz
games/jfsw_wanton_destruction: Added (Shadow Warrior expack).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/jfsw_wanton_destruction/README23
-rw-r--r--games/jfsw_wanton_destruction/jfsw_wanton_destruction.SlackBuild57
-rw-r--r--games/jfsw_wanton_destruction/jfsw_wanton_destruction.info10
-rw-r--r--games/jfsw_wanton_destruction/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/games/jfsw_wanton_destruction/README b/games/jfsw_wanton_destruction/README
new file mode 100644
index 0000000000..61851e4631
--- /dev/null
+++ b/games/jfsw_wanton_destruction/README
@@ -0,0 +1,23 @@
+jfsw_wanton_destruction (game data for Shadow Warrior expansion pack)
+
+Wanton Destruction is an expansion pack for Shadow Warrior, originally
+developed in the late 1990s by Sunstorm Interactive. Although it was
+never commercially released, in 2005 it was unearthed and released as
+a freeware download on the 3D Realms website.
+
+Wanton Destruction is a standalone game, fully playable with jfsw. The
+data file (SW.GRP) from the original game is NOT required. Select
+"wt.grp" from the Game tab, in the jfsw launcher. The first episode is
+identical to the shareware and full versions of Shadow Warrior; select
+"Code of Honor" at the "New Game" menu, to play the new content.
+
+From the original documentation (wdinfo.txt):
+
+ Wanton Destruction features twelve of the most eye popping levels
+ you will ever trip through! Featuring: Chinatown, Monastery Gardens,
+ San Francisco Trolley Yards, Chinese Restaurant, Skyscraper Under
+ Construction, on board a 747, high tech Secret Military Base, Japanese
+ Bullet Train, Zilla's Auto Factory, and Tokyo Rooftops. In addition,
+ the episode contains not one, but two full size super secret levels
+ that will have you on the edge of your seat! In addition, we've included
+ three all new Wangbang-only levels as well as a capture the flag level!
diff --git a/games/jfsw_wanton_destruction/jfsw_wanton_destruction.SlackBuild b/games/jfsw_wanton_destruction/jfsw_wanton_destruction.SlackBuild
new file mode 100644
index 0000000000..94316c4883
--- /dev/null
+++ b/games/jfsw_wanton_destruction/jfsw_wanton_destruction.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for jfsw_wanton_destruction
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# The 'source' file is a self-extracting zip file for DOS/Windows.
+# VERSION is the timestamp of the newest file inside the archive (the
+# readme.txt, written when the freeware release was made).
+
+# Upstream's only license-like text is: This add-on is provided "as is",
+# and is released as freeware.
+
+# The original download links are all fileplanet-like services, with no
+# registration or even captcha required. I self-hosted the archive to
+# guarantee a stable download link.
+
+PRGNAM=jfsw_wanton_destruction
+VERSION=${VERSION:-20050909}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/swwd.exe '*.GRP' '*.txt' '*.ico'
+chown -R root:root .
+chmod 644 *
+
+mkdir -p $PKG/usr/share/games/jfsw
+cp -a WT.GRP $PKG/usr/share/games/jfsw/wt.grp
+
+sed -i 's,\r,,' *.txt
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt *.ico $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README_SBo.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/jfsw_wanton_destruction/jfsw_wanton_destruction.info b/games/jfsw_wanton_destruction/jfsw_wanton_destruction.info
new file mode 100644
index 0000000000..5d55b0b905
--- /dev/null
+++ b/games/jfsw_wanton_destruction/jfsw_wanton_destruction.info
@@ -0,0 +1,10 @@
+PRGNAM="jfsw_wanton_destruction"
+VERSION="20050909"
+HOMEPAGE="http://legacy.3drealms.com/news/2005/09/wanton_destruction_for_shadow.html"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/swwd.exe"
+MD5SUM="df7732c37aaedb595386a874d1a017f5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jfsw"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/jfsw_wanton_destruction/slack-desc b/games/jfsw_wanton_destruction/slack-desc
new file mode 100644
index 0000000000..4f3c740948
--- /dev/null
+++ b/games/jfsw_wanton_destruction/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jfsw_wanton_destruction: jfsw_wanton_destruction (game data for Shadow Warrior expansion pack)
+jfsw_wanton_destruction:
+jfsw_wanton_destruction: Wanton Destruction is an expansion pack for Shadow Warrior, originally
+jfsw_wanton_destruction: developed in the late 1990s by Sunstorm Interactive. Although it was
+jfsw_wanton_destruction: never commercially released, in 2005 it was unearthed and released
+jfsw_wanton_destruction: as a freeware download on the 3D Realms website.
+jfsw_wanton_destruction:
+jfsw_wanton_destruction:
+jfsw_wanton_destruction:
+jfsw_wanton_destruction:
+jfsw_wanton_destruction: